<?php
// Обработка сообщений (PHP)
$messages = []; // Массив для хранения сообщений
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $userMessage = $_POST['message'];
    $messages[] = ['role' => 'user', 'content' => $userMessage];

    // Подключение к API OpenAI (пример логики)
    $akstr = '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';
    $url = 'https://api.openai.com/v1/chat/completions';

    $data = [
        //'model' => 'gpt-3.5-turbo-0125',
        'model' => 'gpt-4-turbo-preview',
        'messages' => [
            ['role' => 'system', 'content' => 'Your task is to create a one-page website based on the given specifications, delivered as an HTML file with embedded JavaScript and CSS. The website should incorporate a variety of engaging and interactive design features, such as drop-down menus, dynamic text and content, clickable buttons, and more. Ensure that the design is visually appealing, responsive, and user-friendly. The HTML, CSS, and JavaScript code should be well-structured, efficiently organized, and properly commented for readability and maintainability.'],
            ['role' => 'user', 'content' => $userMessage],
            ['role' => 'assistant', 'content' => '']
        ]
    ];

    $headers = [
        'Authorization: Bearer ' . $akstr,
        'Content-Type: application/json'
    ];

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    $response = curl_exec($ch);
    curl_close($ch);

    $response = json_decode($response, true);
    if (isset($response['choices'][0]['message']['content'])) {
        $assistantResponse = $response['choices'][0]['message']['content'];
        $messages[] = ['role' => 'assistant', 'content' => $assistantResponse];
    }
}
?>

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Чат-бот</title>
<style> 

 #largeInput { width: 40%; /* Ширина поля ввода 40% от ширины экрана */ 
    height: calc(1.5em * 2); /* Высота поля ввода, эквивалентная высоте двух строк текста */ 
    padding: 5px; /* Отступы внутри поля ввода для комфортного отображения текста */ 
    box-sizing: border-box; /* Гарантирует, что padding не добавляет дополнительный размер к указанной ширине и высоте */ } 

    .chat-container { 
    width: 100%; /* базовая ширина для мобильных */ 
    height: 50vh; /* базовая высота */ 
    background-color: #f0f0f0; 
    border-radius: 5px; 
    overflow-y: scroll; 
    margin: 20px 10 20px 10px; /* изменено */ } 
    /* Медиа-запрос для устройств с шириной экрана больше 600px, например, для настольных компьютеров */ 
    @media (min-width: 600px) {
    .chat-container { 
        width: 50%; /* ширина для настольных компьютеров */ 
        margin-left: 10px; /* добавлено, чтобы гарантировать, что контейнер останется выровненным по левому краю */ } } 
        .message { padding: 10px; margin: 5px; border-radius: 3px; } 
        .user-message { background-color: #dcf8c6; align-self: flex-end; } 
        .bot-message { background-color: #ffffff; align-self: flex-start; } 

    </style> 

</head>
<body>

<h2>Чат-бот</h2>

<div class="chat-container" id="chat-window">
    <?php foreach ($messages as $message): ?>
        <div class="message <?= $message['role'] == 'user' ? 'user-message' : 'bot-message' ?>">
            <?= htmlspecialchars($message['content']); ?>
        </div>
    <?php endforeach; ?>
</div>

<div class="input-area">
    <form method="post" action="progr_4.php"> <!-- Обновите action с your_script.php на имя файла вашего скрипта -->
        <input type="text" id="message-input" name="message" placeholder="Введите сообщение...">
        <button type="submit" id="send-button">Отправить</button>
    </form>
</div>

</body>
</html>