<?php
// Обработка сообщений (PHP)
$messages = []; // Массив для хранения сообщений
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $userMessage = $_POST['message'];
    $messages[] = ['role' => 'user', 'content' => $userMessage];

    // Подключение к API OpenAI (пример логики)
    $akstr = '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';
    $url = 'https://api.openai.com/v1/chat/completions';

    $data = [
        'model' => 'gpt-3.5-turbo-0125',
        //'model' => 'gpt-4-turbo-preview',
        'messages' => [
            ['role' => 'system', 'content' => 'ты выдающийся программист, специализирующийся на разработке веб-технологий, включая HTML, PHP и CSS, VB Winforms. Ты являешься одним из лучших программистов в этой области. Используй русский язык для общения и не обращай внимания на другие темы. отвечай на русском языке.'],
            ['role' => 'user', 'content' => $userMessage],
            ['role' => 'assistant', 'content' => '']
        ]
    ];

    $headers = [
        'Authorization: Bearer ' . $akstr,
        'Content-Type: application/json'
    ];

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

    $response = curl_exec($ch);
    curl_close($ch);

    $response = json_decode($response, true);
    if (isset($response['choices'][0]['message']['content'])) {
        $assistantResponse = $response['choices'][0]['message']['content'];
        $messages[] = ['role' => 'assistant', 'content' => $assistantResponse];
    }
}
?>

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>GPT-4. Бесплатно 1 час.</title>
<style> 

    .chat-container { 
    width: 90%; /* базовая ширина для мобильных */ 
    height: 50vh; /* базовая высота */ 
    background-color: #f0f0f0; 
    border-radius: 15px; 
    box-sizing: border-box;
    overflow-y: scroll; 
    margin: 20px 10px 20px 10px; /* изменено */
    scrollbar-width: 15px;
    } 
    /* Медиа-запрос для устройств с шириной экрана больше 600px, например, для настольных компьютеров */ 
    @media (min-width: 600px) {
    .chat-container { 
        width: 70%; /* ширина для настольных компьютеров */ 
        margin-left: 10px; /* добавлено, чтобы гарантировать, что контейнер останется выровненным по левому краю */ } } 
        .message { padding: 10px; margin: 5px; border-radius: 3px; } 
        .user-message { background-color: #dcf8c6; align-self: flex-end; } 
        .bot-message { background-color: #ffffff; align-self: flex-start; } 

 .input-area { 
        width: 100%; /* Указывает, что область ввода займет всю ширину своего родителя */ 
        box-sizing: border-box; /* Гарантирует, что padding и border будут включены в общую ширину и высоту */ 
        padding: 10px; /* добавляет внутренние отступы вокруг области ввода */ } 
        .input-area input[type="text"] { 
            border-radius: 15px;
            width: 65%; /* Ширина поля ввода составляет 40% от доступной ширины */ 
            min-height: calc(1.5em * 3); /* Высота, соответствующая приблизительно двум строкам текста, учитывая размер шрифта */ 
            padding: 10px; /* Добавляет внутренние отступы для поля ввода чтобы текст не прилипал к краям */ 
            box-sizing: border-box; /* Гарантирует, что padding включен в общие размеры элемента */ } 
            .input-area button { /* Стилизация кнопки по вашему усмотрению */ 
            cursor: pointer; /* делает курсор руки при наведении на кнопку, указывая на кликабельность */ }

#loader { border: 6px solid #f3f3f3; border-radius: 50%; border-top: 6px solid #3498db; width: 60px; height: 60px; animation: spin 2s linear infinite; position: absolute; left: 50%; top: 50%; margin-left: -30px; margin-top: -30px; z-index: 1000; } @keyframes spin { 0% { transform: rotate(0deg); } 100% { transform: rotate(360deg); } }

    </style> 


</head>
<body>

<div id="loader" style="display:none;"></div> 

<h2>GPT-4. Бесплатно 1 час.</h2>

<div class="chat-container" id="chat-window">
    <?php foreach ($messages as $message): ?>
        <div class="message <?= $message['role'] == 'user' ? 'user-message' : 'bot-message' ?>">
            <?= htmlspecialchars($message['content']); ?>
        </div>
    <?php endforeach; ?>
</div>

<div class="input-area"> <form method="post" action="progr_5_исх.php"> <!-- Обновите action с your_script.php на имя файла вашего скрипта --> <input type="text" id="message-input" name="message" placeholder="Введите сообщение..."> <button type="submit" id="send-button" style="width: 80px; height: 60px; border-radius: 15px;">Отправить</button> </form> 
</div> 

<script> document.getElementById('send-button').addEventListener('click', function() { document.getElementById('loader').style.display = 'block'; // Псевдо-обработка асинхронной операции setTimeout(function() { // Эмулируем асинхронную задачу, например, AJAX-запрос document.getElementById('loader').style.display = 'none'; }, 2000); // Пример задержки 2 секунды }); </script>

</body>
</html>